shishi_der2asn1_etype_info2(3)

NAME
shishi_der2asn1_etype_info2 - API function

SYNOPSIS
#include <shishi.h>

Shishi_asn1 shishi_der2asn1_etype_info2(Shishi * handle, const char * der, size_t derlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * der
    input character array with DER encoding.

size_t derlen
    length of input character array with DER encoding.

DESCRIPTION
Decode DER encoding of ETYPE-INFO2 and create a ASN.1 structure.

RETURN VALUE
Returns ASN.1 structure corresponding to DER data.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.